%global packname  tikzDevice
%global rlibdir  %{_libdir}/R/library

# Some dependency loops.
%global with_suggests 0

Name:             R-%{packname}
Version:          0.11
Release:          1%{?dist}
Summary:          R Graphics Output in LaTeX Format

License:          GPLv2+
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_0.11.tar.gz

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-filehash R-png
# Suggests:  R-evaluate R-formatR R-ggplot2 R-knitr R-maps R-stringr R-testthat R-withr
# LinkingTo:
# Enhances:

Requires:         R-filehash >= 2.3
Requires:         R-png
Suggests:         R-maps R-knitr
Requires:         texlive-pgf >= 2.0
Requires:         tex(preview.sty)
BuildRequires:    R-devel tex(latex)
BuildRequires:    texlive-pgf >= 2.0
BuildRequires:    tex(preview.sty)
BuildRequires:    R-filehash >= 2.3
BuildRequires:    R-png
BuildRequires:    R-testthat >= 0.8.1
BuildRequires:    R-evaluate R-stringr R-withr
%if %{with_suggests}
BuildRequires:    R-formatR R-ggplot2 R-knitr R-maps
%endif

%description
Provides a graphics output device for R that records plots in a
LaTeX-friendly format. The device transforms plotting commands issued by R
functions into LaTeX code blocks. When included in a LaTeX document, these
blocks are interpreted with the help of 'TikZ'---a graphics package for
TeX and friends written by Till Tantau. Using the 'tikzDevice', the text
of R plots can contain LaTeX commands such as mathematical formula. The
device also allows arbitrary LaTeX code to be inserted into the output


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
export LANG=C.utf8
%if %{with_suggests}
%{_bindir}/R CMD check %{packname}
%else
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname} --ignore-vignettes
%endif


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs


%changelog
* Sat Mar 24 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.11-1
- Update to latest version

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Nov 06 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.10.1-1
- initial package for Fedora
